Mono Colombia

Gets a fee policy

Gets one of your fee policies by its ID, with its full strategies.

The lookup is limited to your own policies: an ID that doesn't exist, belongs to another tenant or was deleted is reported as fee_policy_not_found.

GET
/v1/core/fees/policies/{id}

Autorización

AutorizaciónBearer <token>

En: header

Parámetros de ruta

idstring

Fee policy ID

Match^[A-Za-z]{2,7}_[\w-]{22}$
Example"fpol_5tgliBmzjZ6mpQPRbQjfKj"

Cuerpo de la respuesta

application/json

application/json

application/json

application/json

curl -X GET "https://api.sandbox.cuentamono.com/v1/core/fees/policies/fpol_5tgliBmzjZ6mpQPRbQjfKj"
{
  "fee_type": "bank_transfer",
  "id": "fpol_5tgliBmzjZ6mpQPRbQjfKj",
  "inserted_at": "2022-01-01T01:00:00Z",
  "processing_subtype": "add_posting",
  "processing_type": "inline",
  "skip": false,
  "strategies": {
    "COP": {
      "default_calculation": {
        "fixed": 0,
        "percentage": "0.004",
        "percentage_limit": 500000,
        "percentage_mode": "capped"
      },
      "rules": [
        {
          "calculation": {
            "fixed": 900000,
            "percentage": "0"
          },
          "conditions": [
            {
              "left": {
                "property": "payout.method"
              },
              "operator": "equal",
              "right": {
                "value": "co_ach"
              }
            }
          ],
          "summary": "Applies to co_ach payouts"
        }
      ]
    }
  },
  "summary": "Program bank transfer fee",
  "target_id": "pro_5tgliBmzjZ6mpQPRbQjfKj",
  "target_type": "program",
  "transaction_description": "Bank transfer fee",
  "updated_at": "2022-01-01T01:00:00Z"
}
{
  "code": "401 Unauthorized",
  "errors": [
    {
      "error_code": "missing_authorization_header",
      "message": "`Authorization` header is missing.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Authorization header is missing or invalid."
}
{
  "code": "403 Forbidden",
  "errors": [
    {
      "error_code": "not_authorized",
      "message": "Not authorized to have access to this resource.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Not authorized to have access to this resource"
}
{
  "code": "404 Not Found",
  "errors": [
    {
      "error_code": "fee_policy_not_found",
      "message": "The fee policy doesn't exist.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Resource not defined"
}